/* Copyright (c) 2006 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  babelifc.cpp - workbench interface to babel
Function
  
Notes
  
Modified
  11/05/06 MJRoberts  - Creation
*/

#include "tadshtml.h"

extern "C" {
#include "babel.h"
#include "babel_handler.h"
}

/* 
 *   read an IFID 
 */
int babel_read_ifid(const char *fname, char *buf, size_t buflen)
{
    char *f;
    CStringBuf fnamebuf(fname);
    int ok = 0;
    
    /* initialize babel with the file */
    if ((f = babel_init(fnamebuf.get())) != 0)
    {
        char outbuf[TREATY_MINIMUM_EXTENT];

        /* get the IFID */
        babel_treaty(GET_STORY_FILE_IFID_SEL, outbuf, TREATY_MINIMUM_EXTENT);

        /* copy it to the output buffer */
        safe_strcpy(buf, buflen, outbuf);
    }

    /* release babel memory */
    babel_release();

    /* return the success indication */
    return ok;
}
